cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Filip Maj <...@adobe.com>
Subject Re: Deprecating <plugins-plist> in plugin.xml
Date Tue, 30 Jul 2013 19:35:15 GMT
Phonegap build is an example of a team using plugman and still relying on
plugins-plist.

I will set up an issue to deprecate its use for 3.1 and remove it for 3.4.

On 7/30/13 2:00 AM, "Shazron" <shazron@gmail.com> wrote:

>Isn't our support for plugman "official" with 3.0.0? when plugman was
>exposed to the world I'm not sure we expressed any forms of stability
>assurance I don't think -- everything was moving at a rapid pace. IMO I'd
>just remove support for Plugins.plist
>
>
>On Mon, Jul 29, 2013 at 7:39 PM, Filip Maj <fil@adobe.com> wrote:
>
>> Sorry yes, Plugins.plist
>>
>> Maybe folks are using plugman with old cordova-ios projects? Iuno
>>
>> On 7/29/13 7:19 PM, "Andrew Grieve" <agrieve@chromium.org> wrote:
>>
>> >You mean plugins.plist?
>> >
>> >No need to deprecate it if it doesn't work right now anyways.
>> >
>> >
>> >On Mon, Jul 29, 2013 at 10:12 PM, Filip Maj <fil@adobe.com> wrote:
>> >
>> >> Yeah, back before we had config.xml, we had a plugins.xml for
>> >>cordova-ios
>> >> projects, and that¹s where service labels were mapped to classes
>> >>
>> >> On 7/29/13 7:09 PM, "Andrew Grieve" <agrieve@chromium.org> wrote:
>> >>
>> >> >I'm not 100% sure of what <plugins-plist> does, but if it's for
>>setting
>> >> >plugin-specific config settings, the code on iOS has already
>>changed to
>> >> >remove support for that (only settings in the main config.xml are
>> >> >supported
>> >> >now).
>> >> >
>> >> >
>> >> >On Mon, Jul 29, 2013 at 9:22 PM, Filip Maj <fil@adobe.com> wrote:
>> >> >
>> >> >> We currently document support for <plugins-plist> in our
spec [1].
>> >>This
>> >> >>is
>> >> >> to support old cordova-ios (2.2 I believe).
>> >> >>
>> >> >>
>> >> >> It would save with some lame special-case code [2] [3] [4].
>> >> >>
>> >> >> Warn folks using plugman w/ plugins using <plugins-plist>
elements
>> >>that
>> >> >> support is being removed soon? 3 releases for deprecation ya, so
>> >>around
>> >> >> 3.3 we remove support for it?
>> >> >>
>> >> >> [1]
>> >> >>
>> >> >>
>> >>
>> >>
>> 
>>https://github.com/apache/cordova-plugman/blob/master/plugin_spec.md#plug
>> >> >>in
>> >> >> s-plist
>> >> >> [2]
>> >> >>
>> >> >>
>> >>
>> >>
>> 
>>https://github.com/apache/cordova-plugman/blob/master/src/util/config-cha
>> >> >>ng
>> >> >> es.js#L93-L104
>> >> >> [3]
>> >> >>
>> >> >>
>> >>
>> >>
>> 
>>https://github.com/apache/cordova-plugman/blob/master/src/util/config-cha
>> >> >>ng
>> >> >> es.js#L147-L166
>> >> >> [4]
>> >> >>
>> >> >>
>> >>
>> >>
>> 
>>https://github.com/apache/cordova-plugman/blob/master/src/util/config-cha
>> >> >>ng
>> >> >> es.js#L236-L252
>> >> >>
>> >> >>
>> >>
>> >>
>>
>>

Mime
View raw message